<?php

namespace Drupal\edlp_studio\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Fil entities.
 *
 * @ingroup edlp_studio
 */
interface FilInterface extends ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  // Add get/set methods for your configuration properties here.

  /**
   * Gets the Fil name.
   *
   * @return string
   *   Name of the Fil.
   */
  public function getName();

  /**
   * Sets the Fil name.
   *
   * @param string $name
   *   The Fil name.
   *
   * @return \Drupal\edlp_studio\Entity\FilInterface
   *   The called Fil entity.
   */
  public function setName($name);

  /**
   * Gets the Fil creation timestamp.
   *
   * @return int
   *   Creation timestamp of the Fil.
   */
  public function getCreatedTime();

  /**
   * Sets the Fil creation timestamp.
   *
   * @param int $timestamp
   *   The Fil creation timestamp.
   *
   * @return \Drupal\edlp_studio\Entity\FilInterface
   *   The called Fil entity.
   */
  public function setCreatedTime($timestamp);

  /**
   * Returns the Fil published status indicator.
   *
   * Unpublished Fil are only visible to restricted users.
   *
   * @return bool
   *   TRUE if the Fil is published.
   */
  public function isPublished();

  /**
   * Sets the published status of a Fil.
   *
   * @param bool $published
   *   TRUE to set this Fil to published, FALSE to set it to unpublished.
   *
   * @return \Drupal\edlp_studio\Entity\FilInterface
   *   The called Fil entity.
   */
  public function setPublished($published);

}
